#include <iostream>

using namespace std;

int brojCifara(int n)
{
    int cifara = 0;
    while(n > 0)
    {
        cifara++;
        n = n/10;
    }
    return cifara;
}

int mnozenje(int n)
{
    int brCifara = brojCifara(n), puta = 1;
    for(int i = 0;i < brCifara;i++)
    {
        puta = puta*10;
    }
    return puta;
}

int main()
{
    int a, b, c, broj1, broj2, broj3, broj4, broj5, broj6, najv;
    cin >> a >> b >> c;
    int niz[6];
    broj1 = (a*mnozenje(b) + b)*mnozenje(c) + c;
    broj2 = (a*mnozenje(c) + c)*mnozenje(b) + b;
    broj3 = (b*mnozenje(a) + a)*mnozenje(c) + c;
    broj4 = (b*mnozenje(c) + c)*mnozenje(a) + a;
    broj5 = (c*mnozenje(a) + a)*mnozenje(b) + b;
    broj6 = (c*mnozenje(b) + b)*mnozenje(a) + a;
    niz[0] = broj1;
    niz[1] = broj2;
    niz[2] = broj3;
    niz[3] = broj4;
    niz[5] = broj5;
    niz[6] = broj6;
    najv = niz[0];
    for(int i = 1;i < 6;i++)
    {
        if(niz[i] > najv)
        {
            najv = niz[i];
        }
    }
    cout << najv << endl;
    return 0;
}